binary_transform.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/eat.hpp>`
`#include <msgpack/preprocessor/tuple/rem.hpp>`
`#include <msgpack/preprocessor/variadic/detail/is_single_return.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_BINARY_TRANSFORM(seq) MSGPACK_PP_CAT(MSGPACK_PP_SEQ_BINARY_TRANSFORM_A seq, 0)
#define | MSGPACK_PP_SEQ_BINARY_TRANSFORM_A(e) (MSGPACK_PP_REM, e)() MSGPACK_PP_SEQ_BINARY_TRANSFORM_B
#define | MSGPACK_PP_SEQ_BINARY_TRANSFORM_B(e) (MSGPACK_PP_REM, e)() MSGPACK_PP_SEQ_BINARY_TRANSFORM_A
#define | MSGPACK_PP_SEQ_BINARY_TRANSFORM_A0 (MSGPACK_PP_EAT, ?)
#define | MSGPACK_PP_SEQ_BINARY_TRANSFORM_B0 (MSGPACK_PP_EAT, ?)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_BINARY_TRANSFORM

#define MSGPACK_PP_SEQ_BINARY_TRANSFORM | ( |  | seq | ) | MSGPACK_PP_CAT(MSGPACK_PP_SEQ_BINARY_TRANSFORM_A seq, 0)

## MSGPACK_PP_SEQ_BINARY_TRANSFORM_A

#define MSGPACK_PP_SEQ_BINARY_TRANSFORM_A | ( |  | e | ) | (MSGPACK_PP_REM, e)() MSGPACK_PP_SEQ_BINARY_TRANSFORM_B

## MSGPACK_PP_SEQ_BINARY_TRANSFORM_A0

#define MSGPACK_PP_SEQ_BINARY_TRANSFORM_A0 (MSGPACK_PP_EAT, ?)

## MSGPACK_PP_SEQ_BINARY_TRANSFORM_B

#define MSGPACK_PP_SEQ_BINARY_TRANSFORM_B | ( |  | e | ) | (MSGPACK_PP_REM, e)() MSGPACK_PP_SEQ_BINARY_TRANSFORM_A

## MSGPACK_PP_SEQ_BINARY_TRANSFORM_B0

#define MSGPACK_PP_SEQ_BINARY_TRANSFORM_B0 (MSGPACK_PP_EAT, ?)